/*
 * Copyright 2011-2019 The OTP authors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
@import "colors";
@import "common";

@width: 1250px; //if you change this you also have to change the width of "header.png" and "header_operator.png"

.image-button {
    background-color: transparent;
    background-repeat: no-repeat;
    border: 0px;
    &:focus, &:hover {
        cursor: pointer;
    }
}
.wordBreak {
    word-wrap: break-word;
    word-break: break-all;
}
.keep-whitespace {
    white-space: pre-wrap;
}
.remove-button {
    .image-button;
    background-image: url(../images/close.png);
}
.edit-button {
    .image-button;
    background-image: url(../images/document-edit.png);
}
.edit-button-left {
    .image-button;
    background-image: url(../images/document-edit.png);
    width: 16px;
}
.pointer {
    cursor: pointer;
}
.rounded-page-header-box {
    padding: 4px;

    // firefox and chrome expect different properties
    width: fit-content;
    width: -moz-fit-content;
    max-width: auto;
    height: auto;

    margin-top: auto;
    margin-bottom: 7px;

    background: #eaf8fc;
    background-image: linear-gradient(#fff, #d4e8ec);

    .border-radius(13px);
    border: 2px solid;
    border-color: #c4d9df #a4c3ca #83afb7 #cccccc;

    // undo some OTP-wide table styling, that is only appropriate for data tables.
    table {
        margin: 0;
        border: none;

        tr {
            background-color: unset;
        }
    }
}

body, input, select, textarea, option, button {
    .ACCEPTED:not([disabled]) {
        color:#006400;
    }
    .BLOCKED:not([disabled]), .WARNING:not([disabled]) {
        color:#e67300;
    }
    .REJECTED:not([disabled]) {
        color:red;
    }
}

/**
* tableBlock is used for a div with a header and a table underneath
* having the same width and belonging together.
**/
div.tableBlock {
    margin-left: 50px;
    margin-bottom: 2em;
    margin-right: 50px;
    h1, h2, h3, h4, h5, h6 {
        .box-shadowed2(0, 0, 3px, 1px, #cccccc);
        font-weight: bold;
        background: #fafafa;
        background-image: -moz-linear-gradient(center bottom, #efefef, #ffffff);
        margin-top: 1em;
        margin-bottom: 0.5em;
        padding: 0.3em;
        color: #333;
    }
    th {
        color: #aaaaaa;
        font-weight: bold;
        font-size: 0.8em;
        border: 0px;
        background-color: #ffffff;
        background-image: none;
        a {
            text-decoration: underline;
        }
    }
    td {
        ul {
            list-style-type: none;
        }
    }
    p {
        border: 0px;
    }
}
.data-table-header {
    padding-top: 25px;
    margin-bottom: -25px;
}
.microHeader {
    color: #aaaaaa;
    font-weight: bold;
    font-size: 0.8;
}
.transition(@obj:all, @time:.5s, @easing:easeOut){
    transition: @obj @time @easing;
    -moz-transition: @obj @time @easing;
    -ms-transition: @obj @time @easing;
    -o-transition: @obj @time @easing;
    -webkit-transition: @obj @time @easing;}
a {
    &:hover, &:active {
        outline: none; /* prevents outline in webkit on active links but retains it for tab focus */
    }
    &.skip {
        position: absolute;
        left: -9999px;
    }
}

.otpExtraTopMargin {
    margin-top: 2em;
}
ul {
    &.one-to-many {
        display: inline-block;
        list-style-position: inside;
        vertical-align: top;
        li.add {
            list-style-type: none;
        }
    }
}
img {
    border: 0;
}
/* GENERAL */
.hidden {
    display: none;
}

.content {
    padding: 10px;
    h1 {
        border-bottom: 1px solid #CCCCCC;
        margin: 0.8em 1em 0.3em;
        padding: 0 0.25em;
    }
}

/* CREATE/EDIT FORMS AND SHOW PAGES */
fieldset,
.property-list {
    margin: 0.6em 1.25em 0 1.25em;
    padding: 0.3em 1.8em 1.25em;
    position: relative;
    zoom: 1;
    border: none;
    &.fieldcontain {
        list-style: none;
        overflow: hidden;
        zoom: 1;
    }
}
.fieldcontain {
    margin-top: 1em;
    label, &.property-label {
        color: #666666;
        text-align: right;
        width: 25%;
    }
    &.property-label {
        float: left;
    }
    &.property-value {
        display: block;
        margin-left: 27%;
    }
}
label {
    cursor: pointer;
    display: inline-block;
    margin: 0 0.25em 0 0;
}

.required-indicator {
    color: #48802C;
    display: inline-block;
    font-weight: bold;
    margin-left: 0.3em;
    position: relative;
    top: 0.1em;
}
/* **HACK**
 * Normally one shouldn't tie one-self so closely to dependency-internal CSS classes, but...
 * The select2 library ships a theme that has an incredibly-specific CSS selector, that makes the selection-test gray,
 * and looks *exactly* like OTP's "disabled" style, for the active element.
 * This default style cannot be disabled except by re-implementing the select2 theme file.
 *
 * Workaround: ship an even-more-selective selector, that overrides the color-property from the theme-file.
 * We make it more selective by repeating our own 'select-2-otp-theme' class. In CSS priority-math, a single level with two class-specifications on it
 * (which happen to be identical, but CSS doesn't care about that), is more specific than an entire hierarchy of select2 nested styles.
 * Unfortunately, we MUST then specify the class of the exact element we want to override ("__rendered"), because Select2 does so too.
 */
.select2-container {
    // active
    .select-2-otp-theme.select-2-otp-theme .select2-selection__rendered {
        color: #333;
    }

    // disabled
    &.select2-container--disabled .select-2-otp-theme.select-2-otp-theme {
        background-color: #f6f5f4;
        .select2-selection__rendered {
            color: #aaa;
        }
    }

    // error state, this needs to be even more specific, in order to override the color-values.
    .select-2-otp-theme.select-2-otp-theme.select-2-otp-error {
        .input-error;
        .select2-selection__rendered {
            color: @errorText;
        }
    }
}

/* EMBEDDED PROPERTIES */
fieldset.embedded {
    .no-box-shadow;
    background-color: transparent;
    border: 1px solid #CCCCCC;
    padding-left: 0;
    padding-right: 0;
    legend {
        margin: 0 1em;
    }
}
/* MESSAGES AND ERRORS */
.empty {
    line-height: 2;
    margin: 1em;
    border: 1px solid white;
}
/* form fields with errors */
.input-error { // intended as generic template for consistent OTP-wide error styling.
    background: @errorBackground;
    border-color: @errorAccent;
    color: @errorText;
    .box-shadowed(0, 0, 0.5em,  @errorAccent);
}
.error-checkbox {
    // checkboxes can't really be styled, try anyway.
    .input-error;
    background: @errorAccent; // checkboxes are tiny, so give background a bit more "kick".
}
.error input, .error select, .error textarea, input.error {
    .input-error;
}
/* same effects for browsers that support HTML5 client-side validation (these have to be specified separately or IE will ignore the entire rule) */
input:invalid, select:invalid, textarea:invalid {
    .input-error;
}

/* TABLES */
tr {
    &.TUMOR {
        background: #f0f0ff;
    }
    &.CONTROL {
        background: #ffffff;
        border-bottom: 1px dotted #d0d0d0;
    }
}

.threshold-table {
    input.threshold {
        width: 8ch;
    }
    select.threshold {
        width: 100%;
    }
    // 'other property' column
    th:nth-child(8) {
        width: 50ch;
    }
    span.defaultThreshold {
        color: #888;
    }
}

tr>td:first-child, tr>th:first-child {
}
td, th {
    &.error {
        width: 22px;
        padding: 0px;
        border: 0px;
        background: transparent url(../images/error.png) 0 50% no-repeat;
    }
    &.valid {
        width: 22px;
        padding: 0px;
        border: 0px;
        background: transparent url(../images/ok.png) 0 50% no-repeat;
    }
    ul {
        list-style-type: none;
        padding: 0px;
    }
}

// style for TableCellValue.WarnColor, TableCellValue.Icon
td span {
    &.text-OKAY, &.text-NA {
        //use default color
    }
    &.text-WARNING {
        color: #E57F00;
    }
    &.text-ERROR {
        color: red;
    }
    .background-usage-hint {
        padding-left: 18px;
    }
    &.icon-OKAY {
        .background-usage-hint;
        background: url(ok.png) left center no-repeat;
    }
    &.icon-WARNING {
        .background-usage-hint;
        background: url(warning.png) left center no-repeat;
    }
    &.icon-ERROR {
        .background-usage-hint;
        background: url(error.png) left center no-repeat;
    }
    &.icon-NA {
        .background-usage-hint;
        background: url(na.png) left center no-repeat;
    }
}

/* my styles for boolean values */
td {
    .background-usage-hint {
        background-repeat: no-repeat;
        text-indent: 18px;
    }
    &.false, &.INVALID {
        .background-usage-hint;
        background-image: url(error.png);
        color: red;
        background-position: left center;
    }
    &.VALID, &.true {
        .background-usage-hint;
        background-image: url(ok.png);
        background-position: left center;
    }
    &.UNKNOWN, &.warning {
        .background-usage-hint;
        background-image: url(warning.png);
        background-position: left center;
    }
    &.tinyRow {
        line-height: 0.3em;
        background: #ffffff;
        background-image: -moz-linear-gradient(right, #ffffff, #aaaff);
    }
    &.myValue {
        list-style-type: none;
    }
    button.edit {
        .edit-button;
        line-height: normal;
        width: 16px;
    }
    button.remove {
        .remove-button;
        line-height: normal;
        width: 16px;
    }
    &.tableEntry {
        padding: 0.2em 0.6em;
    }
}

.myKey {
    width: 200px;
    text-align: right;
    font-weight: bold;
    color:  #43619C;
    padding-right: 1em;
}

.indel-table {
    td:nth-child(2), th:nth-child(2) {
        border-right: 1px solid;
    }
    td:nth-child(5), th:nth-child(5) {
        border-left: 1px solid;
    }
    td:nth-child(11), th:nth-child(11) {
        border-left: 1px solid;
    }
    td:nth-child(18), th:nth-child(18) {
        border-left: 1px solid;
    }
    td:nth-child(21), th:nth-child(21) {
        border-left: 1px solid;
    }
}

.indel-table-header th {
    border-left: 1px solid;
}

/* ACTION BUTTONS */
.buttons {
    .box-shadowed2(0, 0, 3px, 1px, #aaaaaa);
    background-color: #efefef;
    overflow: hidden;
    padding: 0.3em;
    margin: 0.1em 0 0 0;
    border: none;
    clear: both;
    input, a, div {
        .border-radius(0.3em);
        background-color: #DDD;
        border: 0;
        color: #000000;
        cursor: pointer;
        display: inline-block;
        margin: 0 0.25em 0;
        overflow: visible;
        padding: 0.25em 0.7em;
        text-decoration: none;
        &:hover, &:focus {
            .no-box-shadow;
            background-color: #999999;
            color: #ffffff;
            outline: none;
            text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.8);
        }
    }
    &.delete, &.edit, &.save {
        background-position: 0.7em center;
        background-repeat: no-repeat;
        text-indent: 25px;
    }
    &.delete {
        background-image: url(skin/database_delete.png);
    }
    &.edit {
        background-image: url(skin/database_edit.png);
    }
    &.save {
        background-image: url(skin/database_save.png);
    }
}
.add {
    height: 25px;
    width: 25px;
}
div.edit-switch-text {
    p {
        input[type=text] {
            width: 400px;
        }
        &.edit-switch-label {
            display: inline;
            button {
                .edit-button;
            }
        }
    }
}

div.sample-identifiers-field input[type=text] {
    width: 400px;
}

form#add-individual-form {
    tr.sampleIdentifier input[type=text] {
        width: 380px;
    }
    select {
        width: 410px;
    }
}

/* FASTQC MODULE */
div.fastqc img {
    max-width: 100%;
}

/* To have the button for new SampleIdentifiers on /individual/insert correctly aligned */
input.newSampleIdentifier, div.newSampleIdentifier {
    display: inline-block
}
body {
    min-height: 800px;
}
.body_position {
    min-width: @width;
}
.header {
    background-color: @otpBlack;
    height: 100px;
    position: relative;
}
.institute-logo {
    float: right;
}
.otp-logo {
    padding-left: 10px;
    float: left;
}
.header h1 {
    color: #fff;
    position: absolute;
    bottom: 10px;
    right: 360px;
    font-size: 2.5em;
    font-weight: bold;
}
.headerGraphic {
    position: absolute;
    width: 100%;
    height: 141px;
    z-index: -1;
    margin-left: @width;
    margin-top: -100px;
}
.headerGraphicImg {
    height: 141px;
}
.environmentName {
    float: left;
    text-transform: uppercase;
    color: #820005;
    font-weight: bold;
    font-size: 40px;
    margin-bottom: 0;
}
.footer {
    position: fixed;
    bottom: 0;
    right: 0;
    text-align: center;
    width: 100%;
    min-width: @width;
    height: 33px;
    background-color: @otpBlack;
    color: #999;
    font-size: 0.8em;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box; /* Firefox, other Gecko */
    box-sizing: border-box; /* Opera/IE 8+ */
    padding: 1em;
    z-index: 5;
    a {
        color: #999;
    }
}

#otp {
    margin: 0;
}

.body {
    float: left;
    width: 100%;
    box-sizing: border-box;
    min-width: @width;
    min-height: 600px;
    background-color: #FFF;
    padding: 10px 10px 33px;
}

.body_pdf {
    float: left;
    margin-top: 10px;
}
.dataTables_filter {
    display: none;
}
.dataTables_container {
    margin-top: 10px;
    length: 70px;
}
#runs td:last-child {
    // show dropdown menu
    overflow: visible;
}

#sequenceTable {
    td:nth-child(2) {
        max-width: 20ch;
    }
    td:nth-child(8) {
        max-width: 100px;
    }
    td:nth-child(9) {
        min-width: 60px;
        max-width: 60px;
    }
}

.dataTables_scrollBody {
    max-height: 600px;
    overflow-y: auto;
    overflow-x: auto;
}
#otp .listOfIndividualsForSNV {
    width:35%;
    background-color: #1E90FF;
    font-size: 13px;
    font-family: Helvetica,Arial,sans-serif;
    .border-radius(12px);
    border: 5px solid #CCCCCC;
    padding: 0.1em 0.3em;
    th { color:#FFFFFF;
    }
    tr.odd {
        background-color: #A5D3FF;
    }
    tr.even {
        background-color: #F3FAFF;
    }
    .dataTables_wrapper.no-footer .dataTables_scrollBody {
        border-bottom: 1px solid #B4B5B6;
    }
}

#otp .otpDataTableWithFreeSpaceTopLeft {
    /* Move table up so that there is not that much empty space to the left of the export buttons. */
    margin-top: -40px
}

#otp .otpDataTables {
    color:black;
    padding-top: 6px;
    margin-bottom: 5px;
    width:100%;
    border-color: #B4B5B6;
    table {
        border-color: #C4D9DF #A4C3CA #83AFB7;
    }
    td {
        border-color: #C4D9DF #A4C3CA #83AFB7;
        text-align: left;
        padding: 0.1em 0.1em 0.2em 0.3em;
        border-top:  #FFFFFF;
    }
    td.dataTables_empty {
        text-align: center;
    }
    th {
        border-color: #C4D9DF #A4C3CA #83AFB7;
        border-top: 1px solid #ADADAD;
        color: #666666;
        font-weight: bold;
        line-height: 1.7em;
        text-align: left;
        padding: 0.1em 0.9em 0.2em 0.3em;
        margin-bottom: 0.1px;
        white-space: pre-line;
        &.sorting_asc, &.sorting_desc {
            background-color:#F2F2F2;
        }
    }
    tr.odd {
        background-color: #A5D3FF;
    }

    tr.even {
        background-color: #F3FAFF;
    }
}

#otp .otpDataTables .dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: none;
}

#otp .otpDataTables .dataTables_wrapper .dataTables_info {
    padding-top: 2.55em;
}

#otp .otpDataTables.alignmentQualityOverviewTable {
    td:nth-child(2) {
        text-align: left;
    }

    td:nth-child(1) {
        text-align: left;
    }

    td {
        text-align: right;
        padding-right:2em;
    }
    th {
        text-align: center;
    }
}
#otp .otpDataTables.projectOverviewTable {
    td:nth-child(3) {
        width: 50px;
    }
    td:nth-child(4) {
        width: 160px;
    }
    td:nth-child(5), td:nth-child(6) {
        width: 60px;
    }
    td:nth-child(7), td:nth-child(8) {
        width: 110px;
    }
}
#otp .otpDataTables.projectUserTable {
    td:nth-child(1) {
        width: 50px;
    }
    td.userDisabled {
        text-decoration: line-through;
    }
}
.ldapThumbnail {
    // width of 40 has to be changed in conjunction with the thumbnail template
    text-align: center;
    .image {
        height: auto;
        max-height: 40px;
        max-width: 40px;
    }
}

//icons for file access not editable
td span {
    .background-usage-hint {
        padding-left: 18px;
    }
    .background-usage-hint-long {
        padding-left: 50px;
    }
    &.icon-true {
        .background-usage-hint;
        background: url(ok.png) left center no-repeat;
    }
    &.icon-false {
        .background-usage-hint;
        background: url(error.png) left center no-repeat;
    }
    &.icon-approved {
        .background-usage-hint;
        background: url(ok.png) left center no-repeat;
    }
    &.icon-pendingApproval {
        .background-usage-hint-long;
        background: url(error-to-ok.png) left center no-repeat;
    }
    &.icon-pendingDenial {
        .background-usage-hint-long;
        background: url(ok-to-error.png) left center no-repeat;
    }
    &.icon-denied {
        .background-usage-hint;
        background: url(error.png) left center no-repeat;
    }
    &.icon-inconsistency-approved {
        .background-usage-hint;
        background: url(question.png) left center no-repeat;
    }
    &.icon-inconsistency-denial {
        .background-usage-hint;
        background: url(question.png) left center no-repeat;
    }
}

.icon-asterisk {
    padding-left: 10px;
    background: url(asterisk.png) left center no-repeat;
}

//icons for file access editable
td div {
    .background-usage-hint {
        padding-left: 18px;
    }
    .background-usage-hint-long {
        padding-left: 25px;
    }
    &.filesAccessHandler-approved span {
        .background-usage-hint;
        background: url(ok.png) left center no-repeat;
        &.icon-false {
            .background-usage-hint-long;
            background: url(ok-to-error.png) left center no-repeat;
        }
    }
    &.filesAccessHandler-pendingApproval span {
        .background-usage-hint-long;
        background: url(error-to-ok.png) left center no-repeat;
        &.icon-false {
            .background-usage-hint;
            background: url(error.png) left center no-repeat;
        }
    }
    &.filesAccessHandler-pendingDenial span {
        .background-usage-hint-long;
        background: url(ok-to-error.png) left center no-repeat;
        &.icon-true {
            .background-usage-hint;
            background: url(ok.png) left center no-repeat;
        }
    }
    &.filesAccessHandler-denied span {
        .background-usage-hint;
        background: url(error.png) left center no-repeat;
        &.icon-true {
            .background-usage-hint-long;
            background: url(error-to-ok.png) left center no-repeat;
        }
    }
    &.filesAccessHandler-inconsistencyApproval {
        .icon-true {
            .background-usage-hint;
            background: url(question.png) left center no-repeat;
        }
        .icon-false {
            .background-usage-hint-long;
            background: url(ok-to-error.png) left center no-repeat;
        }
    }
    &.filesAccessHandler-inconsistencyDenial {
        .icon-false {
            .background-usage-hint;
            background: url(question.png) left center no-repeat;
        }
        .icon-true {
            .background-usage-hint-long;
            background: url(error-to-ok.png) left center no-repeat;
        }
    }
}

.project-user-header-grid-wrapper {
    display: grid;
    grid-template-columns: min-content 1fr;

    .grid-element {
        grid-row: 1;
        margin-right: 30px;
    }
}

// for typeahead.js
.tt-menu{
    max-height: 200px;
    overflow-y: auto;
    width: 100%;
    overflow-x: hidden;
    border: 2px solid #DFDFDF;
    float: none;
    clear: none;
    td, div {
        border-right: 1px solid #DFDFDF;
        padding: 0px 5px 0px;
        white-space: nowrap;
    }
    tr, div {
        background: white;
        color: black;
    }
    tr:hover {
        background: #A5D3FF;
    }
}
.tt-dataset {
    cursor: pointer;
    display: table;
    width: 100%;
    .tt-suggestion {
        display: table-row;
    }
}
.twitter-typeahead {
    width: 100%;
}

.table-with-fixed-header {
    overflow-y: auto;
    max-height: 80ch;
    thead th {
        position: sticky;
        top: 0;
    }
    td {
        padding-right: 15px;
    }
}
.home {
    table {
        table-layout: fixed;
    }
    th:nth-child(1) {
        width: 10%;
    }
    th:nth-child(2) {
        width: 10%;
    }
    th:nth-child(3) {
        width: 50%;
    }
    th:nth-child(4) {
        width: 25%;
    }
    td:nth-child(1) {
        overflow-wrap: break-word;
    }
}

.show_button {
    margin-bottom: 10px;
}
.refreshButton {
    input, a, div {
        .border-radius(0.3em);
        background-color: #DDD;
        border: 0;
        color: #666666;
        cursor: pointer;
        display: inline-block;
        margin: 0 0.25em 0;
        overflow: visible;
        padding: 0.25em 0.7em;
        text-decoration: none;
        &:hover, &:focus {
            .no-box-shadow;
            background-color: #999999;
            color: #ffffff;
            outline: none;
            text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.8);
        }
    }
}
#notificationsTable_filter {
    display: block;
    margin-bottom: 10px;
}
.linkButton {
    float: right;
    margin-right: 1%;
    margin-bottom: 10px;
}
.overviewBody {
    position: relative;
    float: left;
    width: 3600px;
    overflow-x: hidden;
}
.overviewMenu {
    height: 30px;
    background-color: #F1F1F1;
}
.overviewContainer {
    float: left;
    width: calc(@width - 20);
    overflow-x: hidden;
}
.statistics {
    padding-right: 10px;
}
.graphics {
    padding-left: 10px;
}
.projectLabel {
    float: left;
    margin-top: 6px;
    margin-left: 15px;
}
.projectSelect {
    float: left;
    margin-top: 1px;
    margin-left: 10px;
}
.menuButton {
    margin-right: 1px;
    margin-top: 2px;
    float: right;
}
.statisticsTable {
    float: left;
    width: 100%;
    margin-top: 50px;
}
.statisticsTableLabel {
    margin-top: 20px;
    margin-left: 10px;
}

.project-selection-header-container {
    .two-column-grid-container();
    grid-gap: 24px;
    grid-template-columns: min-content 1fr;
}

.individual-grid-wrapper {
    .two-column-grid-container();
    grid-template-columns: 2fr 1fr;

    .individual-details {
        grid-column: 1 / span 2;
    }
}

.two-column-grid-container {
    display: grid;
    grid-template-columns: 1fr 1fr;

    .grid-element {
        grid-row: 1;
        &.comment-box {
            justify-self: end;
        }
    }
}

.project-selection-container {
    .rounded-page-header-box;

    display: grid;
    grid-template-columns: min-content min-content;
    grid-template-rows: auto auto;
    grid-template-areas:
            "selected-label selected-value"
            "select-label select";
    grid-gap: 2px;

    .selected-project-label {
        padding-right: 5px;
        grid-area: selected-label;
    }
    .selected-project-value {
        grid-area: selected-value;
    }
    .select-label {
        grid-area: select-label;
        align-self: center;
    }
    .project-dropdown {
        grid-area: select;
    }
}

.basic-flex-box {
    display: flex;

    .item {
        flex-basis: auto;
        &.basic-right-padding {
            margin-right: 50px;
        }
    }
}

.project-notification-box {
    display: inline;
    .item {
        display: inline-block;
        border: 1px solid black;
        width: 30px;
        text-align: center;
        vertical-align: middle;
    }
    .true {
        background-color: #5fde68;
    }
    .false {
        background-color: #ff706f;
    }
}

.projectSelectMultiple {
    margin-top:-25px;
    margin-left: 14px;
    margin-bottom:-10px;
    background-color: #FCFCFC;
}
.dataTable_search {
    border-collapse: separate;
    .border-radius(12px);
    height: auto;
    border: 3.8px solid #CCCCCC;
    padding: 0.3em 1.15em;
    font-size: 10pt;
}

.dataTables_length {
    display: none;
}
.inline-element {
    display: inline;
}
.sample-identifiers-field-label {
    display: inline;
}

.optional {
    color: blue;
    text-align:right;
}

#processInfoBox {
    float: left;
    width: 750px;
}

#comment-box-container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    grid-gap: 2px;
}

.commentSet {
    background-image: url(../images/document-edit.png);
    background-color: transparent;
    background-repeat: no-repeat;
    border: 0px;
}

.commentSwapped {
    background-image: url(../images/swapped.png);
    background-repeat: no-repeat;
    border: 0px;
}

#workflowOverviewTable {
    td:nth-child(3) {max-width: 500px;}
    td:nth-child(6) {max-width: 200px;}
    td:nth-child(8) {width: 20px;}
}

#processOverview {
    &:not(*:root) {margin-top: 0px;}

    td:nth-child(3) {max-width: 400px;}
    td:nth-child(4) {max-width: 200px;}
}

.detailContainer {
    width: 1080px;
    margin-top: 30px;
    margin-left: 80px;
    font-size: 14px;
    table {
        margin-top: 10px;
    }
    tr {
        background-color: rgba(0,0,0,0.0);
    }
    tr:nth-last-child(2n) td:nth-last-child(2), tr:nth-last-child(2n) td:nth-last-child(1) {
        background-color: #A5D3FF;
    }
    .columnColors {
        width: 10px;
    }
    .columnSpace {
        width: 80px;
        background-color: white;
    }
    .columnProperty {
        width: 350px;
        font-weight: bold;
    }
    .columnValue {
        width: 600px;
    }
}

#general.detailContainer .columnColors {
    background-color: white;
}

#status.detailContainer .columnColors {
    background-color: #585858;
}

#time.detailContainer .columnColors {
    background-color: #F5DA81;
}

#cpu.detailContainer .columnColors {
    background-color: #A9F5A9;
}

#memory.detailContainer .columnColors {
    background-color: @darkblue;
}

.detailContainerTitle {
    float: left;
    text-transform: uppercase;
    font-weight: bold;
}

.toolTipContainer {
    position:relative;
    float: left;
    width: 15px;
    height: 15px;
    margin-left: 5px;
    background: transparent url(skin/information.png) 0 50% no-repeat;
    &:hover {
        cursor: pointer;
    }
    &:hover .toolTip {
        right: -20px;
        opacity: 1;
    }
}

.toolTip {
    position: absolute;
    top: -10px;
    right: 9999px;
    width: 300px;
    margin-right: -320px;
    padding: 10px;
    white-space: pre;
    color: #fff;
    z-index: 1;
    font-size: 12px;
    background: #333;
    .box-shadowed(2px, 2px, 5px, #aaa);
    opacity: 0;
    .transition();
}

.graphContainer {
        margin-top: 15px;
}

.pieChartRowContainer {
    width: 1164px;
    margin: auto;
}

.pieGraphContainer {
    border: 1px solid black;
}

.pieChartBox {
    width: 200px;
}

.lineGraphContainer {
    border: 1px solid black;
    margin-top: 15px;
    width: 1150px;
}


.graphDescription {
    float: left;
    font-size: 12px;
    text-transform: uppercase;
    background-color: #D8D8D8;
}

.graphTimeSpanContainer {
    float: left;
    width: 150px;
    height: 50px;
    text-transform: uppercase;
    font-size: 10px;
    margin-left: 5px;
    input {
        float: right;
        width: 100px;
    }
}

#scatterGraphicContainer {
    .scatterGraphContainer {
        float: left;
        width: 1150px;
        border: 1px solid black;
        margin-top: 20px;
        canvas {
            float: right;
        }
    }
}


#clusterJobGeneralTable_filter {
    display: revert;
    text-align: revert;
}

#seqTypeSelect {
    width: 250px;
}
#jobTypeSpecificAverageValues {
    border: 1px solid black;
    clear: both;
    padding-top: 1.2em;
    padding-bottom: 1.0em;
    margin: 2.2em 0.1em;
}

#jobTypeSpecificAverageValues td:first-of-type {
    width: 400px;
}

.jobTypSpecificValue {
    float: left;
}

.jobTypSpecificValueToolTip {
    margin-top: 2px;
}

#jobClassSelect {
    width: 375px;
}

#seqTypeSelect {
    width: 250px;
}
.jobName {
    font-size: 105%;
    font-weight: bold;
}

.crashRecoveryDialog {
    max-height: 400px;
}

#nextIndividualBtn {
    float: left;
}

#prevIndividualBtn {
    float: left;
}

#individualDetailTbl:not(*:root) {
    margin-top: 50px;
}
#individualDetailTbl select {
    width: 20ch;
}
#individualSampleTbl select {
    width: 60ch;
}

.configure {
    text-decoration: none;
}

.withdrawn, .deleted, .archivedClickable {
    color: grey;
    > * {color: grey;}
}

.archived {
    .archivedClickable;
    pointer-events: none;
}

.obsoleteMessage {
    color: red;
    font-weight: bold;
    font-size: 24px;
}

.alignmentTable {
    input[type=text] {
        min-width: 350px;
    }
    input[type=checkbox] {
        min-width: 10px;
    }
    select {
        min-width: 365px;
    }
    td, th {
        padding-left: 5px;
        padding-right: 5px;
    }
    input [type=submit]{
        max-width:40px;
    }
}

#bulk-sample-creation {
    table {
        span.table-column-header {
            font-weight: bold;
        }
        td {
            padding: 5px;
        }
    }
}

.loader {
    border: 8px solid #f3f3f3;
    border-top: 8px solid @darkblue;
    .border-radius(50%);
    width: 20px;
    height: 20px;
    animation: spin 2s linear infinite;
}

.dot {
    height: 34px;
    width: 34px;
    .border-radius(50%);
    display: inline-block;

    &.small {
        width: 17px;
        height: 17px;
    }

    &.red {
        background-color: @danger;
    }
    &.grey {
        background-color: grey;
    }
    &.blue {
        background-color: cornflowerblue;
    }
    &.green {
        background-color: mediumseagreen;
    }
    &.purple {
        background-color: purple;
    }
    &.orange {
        background-color: orange;
    }
    &.darkorange {
        background-color: darkorange;
    }
    &.black {
        background-color: black;
    }
}

.sm-loader {
    border: 7px solid #f3f3f3;
    .border-radius(50%);
    width: 20px;
    height: 20px;
    animation: spin 2s linear infinite;
    box-sizing: content-box;
    color: black;

    &.red {
        border-right: 7px solid deeppink;
        border-top: 7px solid @danger;
        border-bottom: 7px solid hotpink;
        border-left: 7px solid pink;
    }
    &.grey {
        border-top: 7px solid grey;
    }
    &.blue {
        border-top: 7px solid cornflowerblue;
    }
    &.green {
        border-top: 7px solid mediumseagreen;
    }
    &.darkgreen {
        border-top: 7px solid #006f32;
    }
    &.small {
        border-width: 3px;
        width: 10px;
        height: 10px;
    }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.img-plots {
    max-width: 100%;
    height: auto;
    cursor: -moz-zoom-in;
    cursor: -webkit-zoom-in;
    cursor: zoom-in;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

@keyframes ellipsis {
    to {
        width: 20px;
    }
}

@-webkit-keyframes ellipsis {
    to {
        width: 20px;
    }
}

.small-frame-box {
    border: solid 1px black;
    margin-bottom: 10px;
    width: 70%;
    padding: 5px;
}

span.clusterJobExitStatus {
    background-color: #f7ff5f;
    &.COMPLETED {
        background-color: #6bff74;
    }
    &.FAILED {
        background-color: #ff7474;
    }
}

.centerImage {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}

figcaption {
    padding: 10px;
    text-align: center;
}

div.log {
    overflow-x: scroll;
    tr.header {
        background-color: #efefef;
        font-weight: bold;
    }
    td {
        padding-right: 5px;
    }
    td.Date, td.Message {
        white-space: pre;
    }
}

.scrollable {
    overflow-y: auto;
}

.project-multiline-wrapper {
    .keep-whitespace;
    .scrollable;
    max-height: 12em;
    max-width: 750px;
}

.keyword-header {
    display: flex;
    align-items: center;
    .item {
        margin-right: 20px;
    }
}

.keyword-container {
    display: flex;

    .item {
        margin-right: 50px;
        flex-basis: auto;
        max-width: 800px;
    }

    .scrollable-keyword-list {
        .scrollable;
        max-height: 50em;
        ul {
            list-style: none;
            padding: 0;
        }
        li {
            padding-bottom: 5px;
            .no-wrap;
        }
    }
}

.cell-ranger-creation-grid-wrapper {
    display: grid;
    grid-gap: 24px;
    grid-template-rows: auto auto auto;

    .scrollable {
        .scrollable;
        max-height: 12em;
    }

    .row {
        &.one {
            grid-row: 1;
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-gap: 12px;
        }
        &.two {
            grid-row: 2;
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            grid-gap: 12px;
        }
        &.three {
            grid-row: 3;
        }
    }
}
.cell-ranger-selection-grid-wrapper {
    display: grid;
    grid-gap: 24px;
    grid-template-columns: 1fr 1fr 12fr;

    .row {
        &.one {
            grid-row: 1;
        }
        &.two {
            grid-row: 2;
        }
    }
}

.color-left-border {
    border-left: 8px solid #aeaeae;
    padding-left: 5px;
    &.slim {
        border-width: 3px;
    }
    &.non {
        border-color: #ffffff;
    }
    &.run {
        border-color: #b4b4b4;
    }
    &.lane {
        border-color: #6978ff;
    }
    &.fastq {
        border-color: #5fde68;
    }
    &.index {
        border-color: #ded346;
    }
}
.seq-track-set-tables {
    td:nth-child(1) {
        width: 20%;
    }
}
.run-information {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    margin-bottom: 10px;

    .grid-element {
        grid-row: 1;
    }
}
.lane-and-datafile-grid-wrapper {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    margin-bottom: 10px;

    .grid-element {
        &.cHeader {
            grid-row: 1;
            font-weight: bold;
        }
        &.lane {
            grid-row: 2;
        }
        &.dataFile {
        }
        // columns
        &.identifier {
            grid-column: 1 / span 3;
        }
        &.wellIdentifier {
            grid-column: 3;
        }
        &.bases {
            grid-column: 4;
        }
        &.fileSize {
            grid-column: 5;
        }
        &.reads {
            grid-column: 6;
        }
        &.insertSize {
            grid-column: 7;
        }
    }

    .nonexistent {
        font-style: italic;
        text-decoration: line-through;
    }
}

.processing-time-statistics-top-bar {
    .date-pickers {
        padding: 10px;
    }
    .error-list {
        background-color: rgb(255, 138, 132);
        margin-bottom: 20px;
        margin-top: 20px;
        p {
            margin-left: 10px;
        }
    }
}

// this is a dirty leftover and should be removed when a common style for datatables is introduced
.temp-processing-time-statistics-table-wrapper {
    .dataTables_filter {
        display: block;
    }
    #processingTimeStatisticsTable_filter {
        float: left;
        margin-bottom: 20px;
        display: block;
    }

    td {
        border-right: 1px solid black;
        text-align: left;
    }
    th {
        font-weight: bold;
        text-align: left;
    }
    tr.odd {
        background-color: #A5D3FF;
    }
    tr.even {
        background-color: #F3FAFF;
    }

    .finalProcessingStatusSent {
        background-color:rgba(150, 180, 150, 0.7);
    }
    .finalProcessingStatusNotSent {
        background-color:rgba(180, 150, 180, 0.7);
    }
}

.trim-text-with-ellipsis {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

// This requires the text to be wrapped in a <bdi> tag, see: https://stackoverflow.com/a/22126773/6921511
.trim-text-with-ellipsis-left-based {
    .trim-text-with-ellipsis;
    direction: rtl;
}

.project-info-form-container {
    width: 800px;
    input[type='text'], textarea {
        width: 95%;
    }
    td:nth-child(1) {
        white-space: nowrap;
    }
}
.comment-box-wrapper {
    font-style: italic;
    /*
        Remove padding and margin from p-tags in the wrapped element
        This is a workaround to get rid of the whitespace a editor switch creates.
     */
    p {
        margin: 0px;
        padding: 0px;
    }
}

div.dt-buttons {
    float: right;
}

.fixed-table-header {
    th {
        background: #fff;
        z-index: 1;
        position: sticky !important;
        position: -webkit-sticky;
        top: 0;
    }
}

.wrapTableHeader th {
    white-space: normal;
}

div.tab-menu {
    display: flex;
    justify-content: flex-start;
    border-bottom: 1px solid black;

    padding-left: 40px;
    a {
        text-decoration: none;
        color: #000000;
        background: white;

        padding: 8px;

        margin-bottom: -1px;
        margin-right: 15px;
        border: 1px solid black;

        &.active {
            font-weight: bold;
            border-width: 2px;
            border-bottom: none;
        }

        span.counter {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;

            height: 18px;
            width: 18px;

            font-size: 10px;
            font-weight: bold;

            background-color: #ffcb89;
            &.work-and-todo {
                background-color: lightcoral;
            }
            &.work-but-nothing-todo {
                background-color: lightblue;
            }
            &.no-work-and-nothing-todo {
                background-color: lightgrey;
            }
        }
    }
}

.auto-width {
    width: auto;
}

.metaDataFields {
    .adapter-file {
        width: 200px;
    }
    .adapter-sequence {
        width: 200px;
    }
}

.software-table {
    th:nth-child(1) {
        width: 40%;
    }
    th:nth-child(2) {
        width: 20%;
    }
    th:nth-child(3) {
        width: auto;
    }

    .tool-header-row {
        td {
            background-color: #e2e2e2;
        }
        font-weight: bold;
        font-size: large;
    }
}

textarea.resize-vertical {
    resize: vertical;
}

/*
  This class provides a common way to format tables which are key-value based.

  To use it apply the class 'key-value-table' onto the table and use one of the subclasses
  defined in it, to specify the exact behaviour you are looking for.

  Example:
  <table class="key-value-table key-help-input">

  This would apply the style to a table with at least three columns, where the first and
  third one are supposed to hold the key and value respectively, while the second one is
  used for an optional help tooltip.
 */
table.key-value-table {
    .general-input-column-style {
        padding-left: 1em;
        input:not([type='checkbox']):not([type='radio']):not([type='button']):not([type='submit']), textarea, select {
            width: 750px;
        }
    }
    .help-icon {
        background: url("help.png") no-repeat center;
        background-size: 16px;
        width: 16px;
    }

    td:first-of-type {
        .myKey;
        padding-right: 0;
    }

    /*
      Expects at least three columns. First and last one are supposed to be used for key and value
      respectively. The second column can be used for a help tooltip, when using the class
      'help'.
      The last column uses the general input style.
     */
    &.key-help-input {
        td:nth-of-type(2).help {
            .help-icon;
        }
        td:last-of-type {
            .general-input-column-style;
        }
    }

    /*
      Expects two columns, first and second one are supposed to be used for key and value
      respectively. The value column uses the general input style.
     */
    &.key-input {
        td:nth-of-type(2) {
            .general-input-column-style;
        }
    }

    /*
      ! This class is highly specific for the project creation table. !

      Expects at least four columns, first and second one are supposed to be used for key
      and value respectively. The value column uses the general input style.

      Every column after the second one is meant for displaying simple text, with the option
      to display multiline text by using the 'multiline-display' class.
     */
    &.key-input-text-text {
        td:nth-child(2) {
            width: 800px;
            .general-input-column-style;
        }
        td:nth-child(n+3) {
            width: 500px;
            select {
                width: 500px;
            }
            .multiline-display {
                .project-multiline-wrapper;
                max-height: 20em;
            }
        }
    }
}

.project-request-user-wrapper {
    .basic-flex-box;
    margin-bottom: 15px;
}

table.project-request-user-table {
    width: 600px;
    margin-right: 20px;

    td:first-of-type {
        .no-wrap;
        text-align: right;
        font-weight: bold;
        color:  #43619C;
        padding-right: 0;
    }

    td:nth-of-type(2) {
        padding-left: 1em;
        input:not([type='checkbox']):not([type='radio']):not([type='button']):not([type='submit']), textarea, select {
            width: 500px;
        }
    }
}

.no-wrap {
    white-space: nowrap;
}

.project-request-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    grid-template-areas:
            "name status"
            "created updated";
    grid-gap: 8px;

    max-width: 1000px;

    border-bottom: 1px solid #F0F0F0;
    padding-bottom: 5px;
    margin-bottom: 20px;

    .name {
        grid-area: name;
        font-weight: bold;
    }
    .status {
        grid-area: status;
        justify-self: end;
        font-weight: bold;
    }
    .created {
        grid-area: created;
    }
    .updated {
        grid-area: updated;
        justify-self: end;
    }
}

.project-request-actions {
    padding-top: 10px;
    padding-bottom: 10px;
    input[type="submit"] {
        margin-right: 20px;
        width: 70px;
    }
}

.add-field, .remove-field, .clone-add {
    width: 25px;
}

.user-account-control-table {
    width: 380px;
    td {
        white-space: nowrap;
    }
}

.ui-tooltip {
    white-space: pre-line;
    max-width: 50%;
}

.expandable-container {
    &.expanded {
        // second toggle state
    }
    &.collapsed {
        display: none;
    }
}

.text-muted {
    color: #6c757d !important;
}

.slider {
    display:none;
}

.slider + label {
    width: 34px;
    height: 15px;
    .border-radius(30px);
    border: 2px solid #EEE;
    background-color: #EEE;
    display: inline-block;
    content: "";
    float: left;
    margin-right: 5px;
    transition: background-color 0.5s linear;
}

.slider + label:hover {
    cursor: pointer;
}

.slider + label::before {
    width: 15px;
    height: 15px;
    .border-radius(15px);
    background-color: #fff;
    display: block;
    content: "";
    float: left;
    margin-right: 5px;
    transition: margin 0.1s linear;
    box-shadow: 0 0 5px #aaa;
}

.slider:checked + label{
    background-color: #2196F3;
    border: 2px solid #2196F3;
}

.slider:checked + label::before {
    margin: 0 0 0 19px;
}

.annotation-box {
    &.variant-standalone {
        display: block;
        padding: 10px;
        margin: 5px 0 5px 0;
    }
    &.variant-inline {
        display: inline-block;
        padding: 1px 3px 1px 3px;
    }

    border: 1px solid;
    border-radius: 5px;

    // colors taken from Bootstrap
    // https://getbootstrap.com/docs/4.0/components/alerts/
    &.type-info {
        color: #0c5460;
        background-color: #d1ecf1;
        border-color: #bee5eb;
    }
    &.type-warning {
        color: #856404;
        background-color: #fff3cd;
        border-color: #ffeeba;
    }
    &.type-danger {
        color: #721c24;
        background-color: #f8d7da;
        border-color: #f5c6cb;
    }

    &.type-dark {
        color: #1b1e21;
        background-color: #d6d8d9;
        border-color: #c6c8ca;
    }

    &.type-footnote { //dark alert of bootstrap
        .type-dark;

        li {
            list-style-type: none;
        }
    }
}

.no-switched-user {
    padding: 5px;
    border: 1px solid;
    border-radius: 5px;

    color: #856404;
    background-color: #fff3cd;
    border-color: #ffeeba;
}

.vertical-align-middle * {
    vertical-align: middle;
}

input[type=submit].submitting {
    background-image: url("spinner.gif");
    background-repeat: no-repeat;
    background-position: left;
    padding-left: 18px;
}

.element-with-annotation-flex-container {
    display: flex;
    align-items: center;
    div {
        padding-right: 5px;
    }
}

.tooltipIcon {
    &[title]:after {
        content: "";
        display: inline-block;
        background: url("help.png") no-repeat center;
        width: 16px;
        height: 16px;
        background-size: 16px; //show round icon
    }
}

.scroll-screen-width {
    width: 100%;
    min-width: unset;
    max-width: 100%;
    overflow: auto;
    max-height: 600px;
}

.fixed-first-column {
    table {
        border-collapse: separate;
        border-spacing: 0;
    }
    th, td {
        &:nth-child(1) {
            position: sticky;
            position: -webkit-sticky;
            left: 0;
            background-color: #9e0bff;
            border-right-color: @tableBorderVertical;
            border-right-width: thin;
            border-right-style: solid;
            z-index: 2;
        }
    }
}

.table-coloring {
    tr:nth-last-child(2n) td {
        background-color: @tableColor1;
    }

    tr:nth-last-child(2n+1) td {
        background-color: @tableColor2;
    }
}

.table-icons {
    th {
        * {
            .tooltipIcon;
        }
    }
}

.table-fixed-header-column-scroll-width-colored-multi-line-header {
    .scroll-screen-width;
    .fixed-table-header;
    .fixed-first-column;
    .table-coloring;
    .table-icons;
    th {
        white-space: unset;
    }
}


#otp .additionalFields {
    .table-fixed-header-column-scroll-width-colored-multi-line-header;
    th {
        min-width: 22ch;
    }

    .defaultWordBreak {
        .wordBreak {
            word-break: unset;
        }
    }

    .name {
        min-width: 30ch;
    }

    .description {
        min-width: 50ch;
    }

    .fieldExistenceType {
        .defaultWordBreak;

        select {
            width: 20ch;
        }
    }

    .sourceOfData {
        .defaultWordBreak;

        select {
            width: 15ch;
        }
    }

    .projectDisplayOnConfigPage {
        .defaultWordBreak;

        select {
            width: 25ch;
        }
    }

    .typeValidator {
        .defaultWordBreak;

        select {
            width: 25ch;
        }
    }

    .defaultValue {
        .defaultWordBreak;

        select {
            width: 50ch;
        }
    }
}

#otp .errorDefinitions {
    .table-fixed-header-column-scroll-width-colored-multi-line-header;

    th, td {
        min-width: 30ch;
        &.delete {
            min-width: 10ch;
        }
        select {
            width: 25ch;
        }
        &.jobBeanName {
            select {
                width: 50ch;
            }
        }
    }
    .wordBreak {
        word-break: unset;
    }
}

.inputTemplate {
    display: none;
}

#otp .modal-wait-message {
    text-align: center;
    padding: 10px;
}

.modal-editor-switch-label {
    line-height: 10px;
    margin: 0;
}

.modal-editor-switch-label button.edit {
    line-height: 16px;
    vertical-align: middle;
}

select:invalid + .select2 .selection .select2-selection {
    background: #fff3f3;
    border-color: #ffaaaa;
    color: #cc0000;
    -moz-box-shadow: 0 0 0.5em #ffaaaa;
    -webkit-box-shadow: 0 0 0.5em #ffaaaa;
    box-shadow: 0 0 0.5em #ffaaaa;
}

/**
    Bootstrapped: Override template styles which
    appear on a bootstrap and also on a non-bootstrap page.
 */
.bootstrapped .edit-switch-label {
    margin: 0;
}

.bootstrapped .edit-switch-label button.remove {
    line-height: 16px;
    vertical-align: middle;
}

.bootstrapped .edit-switch-toggle .edit-switch-label {
    line-height: 10px;
}
/**
CSS for the quick navigation bar template.
 */
.quick-navigation-bar {
    background-color: #f4f4f4;
    border: 1px solid #dbdbdb;
    border-radius: 5px;
    margin-top: 20px;
    margin-bottom: 20px;
}

.quick-navigation-bar .navigation-text {
    padding-left: 10px;
}
